function cree_img(id,titre,normal,over)
{
    var attr = {
        src:normal,
        onmouseover: id + 'MouseOver()',
        onmouseout: id + 'MouseOut()',
        title:titre,
        alt:titre
    };
    var txt = '<img id="'+id+'"';
    for (var a in attr)
        txt += ' '+a+'="'+attr[a]+'"';
    txt += ' style="border:0"/>';
    document.getElementById('Position_'+id).innerHTML = txt;

    function creeChangeSrc(id,nomEvt,src)
    {
        txt = id+nomEvt+'=function() { ';
        txt += 'var img = document.getElementById("'+id+'");';
        txt += 'img.src="'+src+'"; }';
        eval(txt);
    }

    creeChangeSrc(id,'MouseOver',over);
    creeChangeSrc(id,'MouseOut',normal);
}

function initialiseEcranNavigation()
{
    cree_img('imgPrecedent',
        'Rapport pr?c?dent',
        '@URL_IMG_ImagesBoutonTableIcoPrecedent@',
        '@URL_IMG_ImagesBoutonTableIcoPrecedentover@');

    cree_img('imgSuivant',
        'Rapport suivant',
        '@URL_IMG_ImagesBoutonTableIcoSuivant@',
        '@URL_IMG_ImagesBoutonTableIcoSuivantover@');

    cree_img('imgPdf',
        'Version PDF',
        '@URL_IMG_ImagesBoutonGestionIcoExportPdf@',
        '@URL_IMG_ImagesBoutonGestionIcoExportPdfover@');

    cree_img('imgXls',
        'Version Excel',
        '@URL_IMG_ImagesBoutonTableIcoExportExcel@',
        '@URL_IMG_ImagesBoutonTableIcoExportExcelover@');

    cree_img('imgParametres',
        'Param?tres du rapport',
        '@URL_IMG_ImagesBoutonNavigBoutAideInterog@',
        '@URL_IMG_ImagesBoutonNavigBoutAideInterogover@');
}

function drillThrough(report,params)
{
    updatePileExecution();
    // on attend un nouvel ExecutionID
    waitForExecutionID();

    var url = "@URL_ACTION_GramFluxExecutionLoadAndRun@";
    url += '?REPORT='+report;
    url += '&FORMAT=HTML';

    for (var a in params)
        url += '&_' + a + '=' + escape(params[a]);

    document.getElementById("iframe").src = url;
}

function run(params,format,popup)
{
    updatePileExecution();

	var url = "@URL_ACTION_GramFluxExecutionRun@";
	url += "?FORMAT="+format;

    for (var a in params)
        url += '&_' + a + '=' + escape(params[a]);

    if (popup=="popup")
        OpenWindow(url,"Rapport","");
    else
    	document.getElementById("iframe").src = url;
}


function drillDown(toggleID)
{
    updatePileExecution();

    var url = "@URL_ACTION_GramFluxExecutionDrillDown@";
    url += '?FORMAT=HTML';
    url += '&ID='+toggleID;
    
	document.getElementById("iframe").src = url;
}

function versionPdf()
{
    updatePileExecution();
    run({},"PDF","popup");
}

function versionExcel()
{
    updatePileExecution();
    run({},"EXCEL","popup");
}

function boutonPrecedent()
{
    updatePileExecution();
    if (indexPileExecution==0)
        return;

    indexPileExecution--;
    setExecutionID();

    run({},"HTML");
}

function boutonSuivant()
{
    updatePileExecution();
    if (indexPileExecution==pileExecution.length-1)
        return;

    indexPileExecution++;
    setExecutionID();

    run({},"HTML");
}

///////////////////////////////////////////////////////////////////////////////

var pileExecution = [];
var indexPileExecution = -1;
var attentePileExecution = true; // au dbut, on attend l'executionID

// met la pile en mode "attente"
function waitForExecutionID()
{
    debugPile(">waitForExecutionID");
	attentePileExecution = true;
	debugPile("<waitForExecutionID");
}

// met l'executionID courant sur la pile si on l'attendait
function updatePileExecution()
{
    if (attentePileExecution)
    {
	    debugPile(">updatePileExecution");
        attentePileExecution = false;
        // on efface l'historique "suivant"
        pileExecution = pileExecution.slice(0,++indexPileExecution);
	    executionID = GetCookie("@COOKIE_NAME@");
        pileExecution.push(executionID);
	    debugPile("<updatePileExecution");
    }
}
// dfinit le cookie avec la valeur de l'executionID correspondant
// a la valeur sur la pile
function setExecutionID()
{
    debugPile(">setExecutionID");
	var executionID = pileExecution[indexPileExecution];
	SetCookie('@COOKIE_NAME@',executionID,null,'@COOKIE_PATH@');
	debugPile("<setExecutionID");
}

function debugPile(message) 
{
/*
	var txt = message+"\n";
	txt += "index: "+indexPileExecution+"/"+pileExecution.length+"\n";
	txt += "pile: ";
	for (var i=0; i<pileExecution.length; i++)
		txt += pileExecution[i]+', ';
	alert(txt);
*/
}