// identifiant autoincremente pour les champs
var idChamp = 0;

// le flux XML de description des parametres
var xmlParametres;

// le code HTML du formulaire pour les parametres
var htmlFormulaire;

// le formulaire
var composantFormulaire;

// les champs ou lire la valeur des parametres
// (c'set un dictionnaire, la cle est l'identifiant du parametre)
var champsParametres = {};

function initialiseFormulaire(reportParams)
{
	var url = "@URL_XML_GramFluxExecutionLoad@";
	var params = { REPORT : rapport };
	// ajoute les valeurs initiales des parametres 
	for (var a in reportParams)
		params["_"+a] = reportParams[a];

	// charge le rapport
	var callback = "window.frames['CONTENU_WIN'].construireFormulaire";
	xmlParametres = new parent.XMLObject(null,null,callback,url,false);
	xmlParametres.initRequestParams("GET",params);
	xmlParametres.importXML();
}

function construireFormulaire()
{
	if (xmlParametres.parseErrorXML() != 0)
		return;

    ouvreFormulaire();

	var parameterList = parent.getElements(xmlParametres.xmlDoc,"PARAMETERS")[0];
    var parametres = parent.getElements(parameterList,"PARAMETER");

	var allValuesValid = true;
    for (var i=0; i<parametres.length; i++)
    {
    	var parametre = parametres[i];

    	var name = parent.getDataElement(parametre,"NAME");
    	var valid = parent.getDataElement(parametre,"VALID_VALUE");
    	if (valid != "TRUE")
    		allValuesValid = false;

	    var xmlData = new parent.XMLObjectSauvegarde();
	    xmlData.sauvegardeDOM(parametre);

	    var element;
    	var inputType = parent.getDataElement(parametre,"INPUT_TYPE");
	    switch (inputType) {
//	    case "CHECK":
//			element = ajouteChampCheckBox(name, xmlData);
//			break;
	    case "LIST":
			element = ajouteChampSelect(name, xmlData);
			break;
		default:
			element = ajouteChampText(name, xmlData);
			break;
		}

	    composantFormulaire.addElement(element);
		ajouteEspace();
	}

    fermeFormulaire();
    
    document.getElementById('contenuFormulaire').innerHTML = htmlFormulaire;
    setTimeout("ecrireFormulaire("+allValuesValid+")",10);
}

function ecrireFormulaire(runReport)
{
    composantFormulaire.ecrireBind();
    if (runReport)
    	setTimeout("valideParametres()",10);
}

function getValeursParametres()
{
	var parametres = {};
	for (var a in champsParametres)
		parametres[a] = champsParametres[a].getValue();
	return parametres;
}

///////////////////////////////////////////////////////////////////////////////

function ouvreHtmlFormulaire()
{
    htmlFormulaire = '<table>';
}

function ajoutePositionChamp()
{
	idChamp++;
    var id = 'champ'+idChamp;
    htmlFormulaire += '<tr><td><div id="Position_libelle_'+id+'">&nbsp</div></td>';
    htmlFormulaire += '<td><div id="Position_'+id+'">&nbsp</div></td></tr>';
    return id;
}

function ajouteEspace()
{
    htmlFormulaire += '<tr><td><img src="@URL_IMG_ImagesBoutonDiversSpacer@" style="height:5px">&nbsp</div></td></tr>';
}

function fermeHtmlFormulaire()
{
    htmlFormulaire += '</table>';
}

function ouvreFormulaire()
{
    ouvreHtmlFormulaire();
    composantFormulaire = new ComposantForm("composantFormulaire", "", "POST", 3, false);
}

function fermeFormulaire()
{
    fermeHtmlFormulaire();
    var boutonValider = new ElementFormButton("boutonValider",
                                              "javascript:valideParametres()",
                                              "64px","18px",
                                              bouton_valider_src,
                                              bouton_validerover_src,
                                              bouton_validerdisabled_src,
                                              STATUT_ENABLED);
    composantFormulaire.addElement(boutonValider);
 
    var boutonRetour = new ElementFormButton("boutonRetour",
                                             'javascript:afficheRapport()',
                                             "64px","18px",
                                             bouton_annuler_src,
                                             bouton_annulerover_src,
                                             bouton_annulerdisabled_src,
                                             STATUT_ENABLED);
    composantFormulaire.addElement(boutonRetour);
}

///////////////////////////////////////////////////////////////////////////////

function ajouteChampSelect(name, xmlData)
{
	// on cree le champ
    var fieldId = ajoutePositionChamp();
    var element = creeElementFormSelectMaster( fieldId, { xmlData:xmlData, width:"300px" } );
    
    // s'il a des esclaves, un ajoute des champs supplementaires
    var elementParam = element;
    var tabOptions = parent.getChildElements(xmlData.xmlDoc.firstChild,"OPTIONS");
    if (tabOptions.length>0)
    {
	    var tabOption = parent.getChildElements(tabOptions[0],"OPTION");
	    if (tabOption.length>0)
	    {
		    var tabSlave = parent.getChildElements(tabOption[0],"SLAVE");
		    if (tabSlave.length>0)
		    {
			    var xmlSlave = new parent.XMLObjectSauvegarde();
			    xmlSlave.sauvegardeDOM(tabSlave[0]);
			    var slaveElement = ajouteChampSelect(name, xmlSlave);
			    element.addEsclave(slaveElement);

                // on n'ajoute pas le champ pour le parametre : c'est deja fait
                return element;
		    }
	    }
    }

    // on ajoute le champ pour le parametre
    champsParametres[name] = elementParam;
    return element;
}

function ajouteChampText(name, xmlData)
{
    var fieldId = ajoutePositionChamp();
    var element = creeElementFormSelectMaster( fieldId, { xmlData:xmlData, width:"300px" } );

    // on ajoute le champ pour le parametre
    champsParametres[name] = elementParam;
    return element;
}

