package acube.gram.config;

import java.util.Collection;
import java.util.HashSet;

public class ReportConfig {

	/** nom du rapport (pour affichage seulement) */
	private String name;

	/** chemin du rapport dans le dossier de rapports */
	private String path;
	
	/** les rles autoriss  consulter le rapport */
	private Collection<String> roles = new HashSet<String>();

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public Collection<String> getRoles() {
		return roles;
	}

	/**
	 * dfinit la liste des rle avec une seule chane de caractres
	 * @param roles liste des roles spars par une virgule
	 */
	public void setRoles(String roles) {

		this.roles.clear();
		for (String role : roles.split(","))
			this.roles.add(role.trim());
	}
}
