package acube.gram.frontend.action.execution;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import acube.framework.exception.AuthentificationException;
import acube.framework.exception.FunctionalException;
import acube.framework.exception.TechnicalException;
import acube.gram.backend.ExecutionContext;
import acube.gram.constant.ReportFormat;
import acube.gram.frontend.action.FileBaseAction;
import acube.gram.frontend.action.ParameterAccessor;
import acube.gram.vo.FileVO;

/**
 * Excute le rapport.
 * @author MAE
 *
 */
public class ToggleItem extends FileBaseAction {

	protected FileVO getFileVO(HttpServletRequest request,
							   HttpServletResponse response)
			throws AuthentificationException, TechnicalException, FunctionalException {		
		
		ExecutionContext context =
			ParameterAccessor.getExecutionContext(request);
		
		String itemID = ParameterAccessor.getItemId(request);
		context.toggleItem(itemID);
		
		ReportFormat reportFormat =
			ParameterAccessor.getReportFormat(request);
		return context.execute(reportFormat);
	}
}
