package acube.gram2.vo;

import java.io.Serializable;

import acube.gram2.constant.FileType;

/**
 * Informations sur un fichier stock dans un serveur de rapports
 * @author MAE
 */
@SuppressWarnings("serial")
public class FileMetadata implements Serializable {

	/** chemin absolu */
	private String path;
	/** nom du fichier */
	private String name;
	/** type de fichier */
	private FileType fileType;
	/** type MIME */
	private String contentType;
	
	public String getPath() {
		return path;
	}
	public String getName() {
		return name;
	}
	public void setPath(String id) {
		this.path = id;
	}
	public void setName(String nom) {
		this.name = nom;
	}
	public String getMimeType() {
		return contentType;
	}
	public void setMimeType(String mimeType) {
		this.contentType = mimeType;
	}
	public FileType getFileType() {
		return fileType;
	}
	public void setFileType(FileType type) {
		this.fileType = type;
	}
}
