package acube.gram2.vo;

import java.io.Serializable;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("serial")
public class NodeVO implements Serializable {
	
	private int id;
	private Integer parent;
	private String name;
	private List<NodeVO> childNodes = new ArrayList<NodeVO>();
	private List<ReportVO> childReports = new ArrayList<ReportVO>();
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public Integer getParent() {
		return parent;
	}
	public void setParent(Integer parent) {
		this.parent = parent;
	}
	public List<NodeVO> getChildNodes() {
		return childNodes;
	}
	public void setChildNodes(List<NodeVO> childNodes) {
		this.childNodes = childNodes;
	}
	public void addChildNode(NodeVO childNode) {
		this.childNodes.add(childNode);
	}
	public List<ReportVO> getChildReports() {
		return childReports;
	}
	public void addChildReport(ReportVO childReport) {
		this.childReports.add(childReport);
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

}
