var tableau = null;

function creeTableau(xmlInfosTableau, urlXmlListe)
{
	tableau = new ComposantTableau("tableau", xmlInfosTableau, urlXmlListe, true);
	tableau.ecrireBind();
	tableau.importData();
}

function xmlLigneTableau(tableau,i)
{
    var itemLignes = parent.getElements(tableau.XMLData.xmlDoc,tableau.donneeLigne);
    return itemLignes[i];
}
function xmlLigneEditee()
{
    return xmlLigneTableau(tableau,tableau.itemLigneAction);
}
function xmlLigneSupprimee()
{
    return xmlLigneTableau(tableau,tableau.itemLigneAction);
}
/**
 * ligneEnCours est null pour une nouvelle entree, c'est le XML de la ligne edite pour une modification
 */
function htmlFormulaire(tableau,ligneEnCours)
{
    var j = 0;
    var itemLignes = parent.getElements(tableau.XMLData.xmlDoc,tableau.donneeLigne);
    var codeHTML = "";
    for (j=0;j<tableau.tabColonnes.length;j++)
    {
        //Generation de chaque cellule presente dans la ligne
        if (tableau.tabColonnes[j].cache != "OUI")
        {
            // balise TD
            codeHTML += '<td';
            // parametres de style
            if ((tableau.tabColonnes[j].largeur) || (tableau.tabColonnes[j].alignement))
            {
                codeHTML += ' style="';
                if (tableau.tabColonnes[j].largeur)
                    codeHTML += 'width :' + tableau.tabColonnes[j].largeur + ';';
                if (tableau.tabColonnes[j].alignement)
                    codeHTML += 'text-align :' + tableau.tabColonnes[j].alignement;
                codeHTML += '"';
            }
            // fin de la balise TD
            codeHTML += '>'
            // balise INPUT
            codeHTML += '<input id="saisie_tableau_colonne_' + tableau.tabColonnes[j].donnee + '"';
            // on saisit du texte
            codeHTML += ' type="text" ';
            // attributs specifiques
            codeHTML += attributsChampEdition(j);
            // valeur contenue : si elle est existe, on prend celle deja? renseignee
            codeHTML += ' value="';
            // si c'est une edition
            if (ligneEnCours!=null)
            {
	            var value = parent.getDataElement(ligneEnCours,tableau.tabColonnes[j].donnee);
	            if (value)
    	        {
        	        do
            	        value = value.replace('"',"'");
                	while (value.search('"') != -1);
	                codeHTML += value;
    	        }
    	    }
      	    // fin et fermeture de la balise INPUT
           	codeHTML += '"/>';
            // fermeture de la balise TD
   	        codeHTML += '</td>\n';
        }
    }
    return codeHTML;
}
function ecrireHTMLEdit()
{
    return htmlFormulaire(tableau,xmlLigneEditee());
}

function ecrireHTMLAjout()
{
    return htmlFormulaire(tableau,null);
}

function recupereValeursFormulaire()
{
	var valeurs = {};
    for (j=0;j<tableau.tabColonnes.length;j++)
    {
        if (tableau.tabColonnes[j].cache != "OUI")
        {
        	var donnee = tableau.tabColonnes[j].donnee;
        	// id du champ de saisie (voir htmlFormulaire)
        	var id = 'saisie_tableau_colonne_' + donnee;
			var element = document.getElementById(id);
			// on recupere la valeur
			var valeur = element.value;
			
			valeurs[donnee] = valeur;
		}
	}
	return valeurs;
}


function executeInsert()
{
	var params = recupereValeursFormulaire();
	params = completeEtVerifieParams('update',params);

	if (params == null)
		return false;
		
	executeActionServeur(urlXmlInsert,params,retourActionServeur);
	return true;
}

function executeUpdate()
{
	var params = recupereValeursFormulaire();
	if (tagIdentifiant != null)
		params[tagIdentifiant] = parent.getDataElement(xmlLigneEditee(),tagIdentifiant);

	params = completeEtVerifieParams('update',params);

	if (params == null)
		return false;
		
	executeActionServeur(urlXmlUpdate,params,retourActionServeur);
	return true;
}

function executeDelete()
{
	var params = {};
	if (tagIdentifiant != null)
		params[tagIdentifiant] = parent.getDataElement(xmlLigneSupprimee(),tagIdentifiant);

	params = completeEtVerifieParams('delete',params);

	if (params == null)
		return false;
		
	executeActionServeur(urlXmlDelete,params,retourActionServeur);
	return true;
}
