/**
 * Formats predefinis
 */
var carMaj = "A-Z\300-\335" // \300=&Agrave; \335=&Yacute;
var carMin = "a-z\337-\377" // \337=&szlig; \377=&yuml;

function completeLongueur(cars,min,max)
{
	return '^'+'['+cars+']'+((min)?((max)?("{"+min+","+max+"}"):("{"+min+"}")):"+")+"$";
}

var formatLibelle = completeLongueur(carMin+carMaj+' ().-');
var formatLibelleMaj = completeLongueur(carMaj+' ().-');
var formatLibelleMin = completeLongueur(carMin+' ().-');

/**
 * Fonctions de création des objets, qui les ajoute au tableau des champs
 * du formulaire.
 */
function creeElementFormText(id, parametres)
{
	return new ElementFormText(
			id,
			parametres.xmlData,
			parametres.value,
			parametres.size,
			parametres.maxLength,
			parametres.libelle,
			parametres.obligatoire,
			parametres.statut,
			parametres.tabIndex);
}

function creeElementFormSelect(id, parametres)
{
	return new ElementFormSelect(
			id,
			parametres.xmlData,
			parametres.tabOption,
			parametres.size,
			parametres.width,
			parametres.libelle,
			parametres.obligatoire,
			parametres.multiple,
			parametres.statut,
			parametres.tabIndex);
}

function creeElementFormSelectMaster(id, parametres)
{
	return new ElementFormSelectMaster(
			id,
			parametres.xmlData,
			parametres.tabOption,
			parametres.size,
			parametres.width,
			parametres.libelle,
			parametres.obligatoire,
			parametres.multiple,
			parametres.statut,
			parametres.tabIndex);
}

function creeComposantRattachement(id, parametres) 
{
	return new ComposantRattachement(
			id,
			parametres.xmlData,
			parametres.tabOption,
			parametres.libelle,
			parametres.libelle1,
			parametres.libelle2,
			parametres.size,
			parametres.width,
			parametres.multiple,
			parametres.statut,
			parametres.tabIndex);
}

