var urlPage  = '@PROJET_REPERTOIRE_INSTALL@/xml/gram/fichiers/page.xml';
var urlListe = '@PROJET_REPERTOIRE_INSTALL@/flux/protected/fichiers/liste.xml';
var urlDownloadRapport   = '@PROJET_REPERTOIRE_INSTALL@/flux/protected/fichiers/downloadRapport.xml';
var urlInsertRapport     = '@PROJET_REPERTOIRE_INSTALL@/flux/protected/fichiers/insertRapport.html';
var urlUpdateRapport     = '@PROJET_REPERTOIRE_INSTALL@/flux/protected/fichiers/updateRapport.html';
var urlDeleteRapport     = '@PROJET_REPERTOIRE_INSTALL@/flux/protected/fichiers/deleteRapport.html';
var urlDownloadRessource = '@PROJET_REPERTOIRE_INSTALL@/flux/protected/fichiers/downloadRessource.xml';
var urlInsertRessource   = '@PROJET_REPERTOIRE_INSTALL@/flux/protected/fichiers/insertRessource.html';
var urlUpdateRessource   = '@PROJET_REPERTOIRE_INSTALL@/flux/protected/fichiers/updateRessource.html';
var urlDeleteRessource   = '@PROJET_REPERTOIRE_INSTALL@/flux/protected/fichiers/deleteRessource.html';

function getParamDansUrl(name)
{
	var rg=new RegExp(name+"=([^&]*)");
	var r=rg.exec(document.location.search);
	return (r?unescape(r[1]):null);
}

var hote = getParamDansUrl("HOTE");
var xmlPage;
var composantTableau;

var champHote;
var champType;
var champChemin;
var champContenu;

function preparePage()
{
	xmlPage = new parent.XMLObject(null, null, "window.frames['CONTENU_WIN'].construirePage", 
								   urlPage+'?HOTE='+hote, false);
	xmlPage.importXML();
}

function construirePage()
{
    if (xmlPage.parseErrorXML() != 0)
    	return;
    
    var xmlInfosTableau = new parent.XMLObjectSauvegarde();
    xmlInfosTableau.sauvegardeDOM(parent.getElements(xmlPage.xmlDoc,"TABLEAU")[0]);
	composantTableau = new ComposantTableau("composantTableau", xmlInfosTableau,
											urlListe+'?HOTE='+hote, true, false, false, true, false,"", false, true, false);
	composantTableau.ecrireBind();

	// Formulaire
    composantFormulaire = new ComposantForm("composantFormulaire", "", "POST", "multipart/form-data");
        
	champHote    = creeElementFormText('HOTE',
							 { libelle:'Hote' });
	champChemin  = creeElementFormText('CHEMIN',
							 { libelle:'Chemin', maxLength:'255', size:'50' });
	champContenu = new ElementFormFile('CONTENU',null,null,'50','D?finition');
	
	var tabOption = [];
	tabOption.push(new ObjectOption("Rapport","RAPPORT",true));
	tabOption.push(new ObjectOption("Ressource","RESSOURCE",false));
	champType = creeElementFormSelect('TYPE',
							 { libelle:'Type de fichier', tabOption:tabOption });
	
	composantFormulaire.addElement(champHote);
	composantFormulaire.addElement(champChemin);
	composantFormulaire.addElement(champContenu);
	composantFormulaire.addElement(champType);
	
    boutonValider = new ElementFormButton("valider","javascript:validerFormulaire()","64px","18px",bouton_valider_src,bouton_validerover_src,bouton_validerdisabled_src,STATUT_ENABLED);
    boutonAnnuler = new ElementFormButton("annuler","javascript:afficheTableau()","64px","18px",bouton_annuler_src,bouton_annulerover_src,bouton_annulerdisabled_src,STATUT_ENABLED);

    composantFormulaire.addElement(boutonAnnuler);
    composantFormulaire.addElement(boutonValider);
    
    composantFormulaire.ecrireBind();
	champHote.setValue(hote);
    
    chargeTableau();
}


function chargeTableau()
{
	afficheTableau();
	composantTableau.importData();
}


function afficheTableau()
{
	document.getElementById('tableaux').style.display = '';
	document.getElementById('composantFormulaire').style.display = 'none';
}

function afficheFormulaire()
{
	document.getElementById('tableaux').style.display = 'none';
	document.getElementById('composantFormulaire').style.display = '';
}

var mode;

function validerFormulaire()
{
    var url = null;;
    if (mode=='insert')
    {
        if (champType.getValue()=='RAPPORT')
            url = urlInsertRapport;
        else  if (champType.getValue()=='RESSOURCE')
            url = urlInsertRessource;
    }
    else if (mode=='update')
    {
        if (champType.getValue()=='RAPPORT')
            url = urlUpdateRapport;
        else  if (champType.getValue()=='RESSOURCE')
            url = urlUpdateRessource;
    }

    if (url==null)
        return; // ne devrait jamais arriver

	composantFormulaire.getDomHtmlElement().action = url;
	document.getElementById('composantFormulaire').submit();
}

function executeInsert()
{
    mode = 'insert';
    
	champChemin.setValue('');
	champType.setValue('RAPPORT');

	afficheFormulaire();
}

function executeUpdate()
{
    mode = 'update';
	
	var i = composantTableau.itemLigneAction;
	var ligne = parent.getElements(composantTableau.XMLData.xmlDoc,
                                   composantTableau.donneeLigne)[i];

	champChemin.setValue(parent.getDataElement(ligne,'CHEMIN'));
	champType.setValue(parent.getDataElement(ligne,'TYPE'));
	afficheFormulaire();
}

function executeDelete()
{
    var i = composantTableau.itemLigneAction;
    var ligne = parent.getElements(composantTableau.XMLData.xmlDoc,
                                   composantTableau.donneeLigne)[i];

	// pas de valeurs saisies
	var params = {};
	params.HOTE = hote;
	params.CHEMIN = parent.getDataElement(ligne,"CHEMIN");
		
    var url = null;;
	var type = parent.getDataElement(ligne,'TYPE');
    if (champType.getValue()=='RAPPORT')
        url = urlDeleteRapport;
    else if (champType.getValue()=='RESSOURCE')
        url = urlDeleteRessource;
    if (url==null)
        return false; // ne devrait jamais arriver
	return executeActionServeur(url,params,construirePage());
}

function executeDownload()
{
	var i = composantTableau.itemLigneAction;
    var ligne = parent.getElements(composantTableau.XMLData.xmlDoc,
                                   composantTableau.donneeLigne)[i];

    var url = null;;
	var chemin = parent.getDataElement(ligne,'CHEMIN');
	var type = parent.getDataElement(ligne,'TYPE');
    if (type=='RAPPORT')
        url = urlDownloadRapport;
    else if (type=='RESSOURCE')
        url = urlDownloadRessource;
    if (url==null)
        return false; // ne devrait jamais arriver

    url += '?HOTE='+hote;
    url += '&CHEMIN='+chemin;

    parent.parent.OpenWindowFocus(url, chemin, '');
}
