var urlXmlPage   = '/GRaM-test/flux/protected/profils/page.xml';
var urlXmlListe  = '/GRaM-test/flux/protected/profils/liste.xml';
var urlXmlInsert = '/GRaM-test/flux/protected/profils/insert.xml';
var urlXmlUpdate = '/GRaM-test/flux/protected/profils/update.xml';
var urlXmlDelete = '/GRaM-test/flux/protected/profils/delete.xml';

var tagIdentifiant = "CODE";
var xmlPage;
var composantRecherche;
var composantTableau;

var champHote;

function preparePage()
{
	xmlPage = new parent.XMLObject(null, null, "window.frames['CONTENU_WIN'].construirePage", urlXmlPage, false);
	xmlPage.importXML();
}

function construirePage()
{
    if (xmlPage.parseErrorXML() != 0)
    	return;

	// Formulaire
	composantRecherche = new ComposantRecherche("composantRecherche", null, null, false);
    composantRecherche.controlerSurface = function() { return true; }
	composantRecherche.soumettre = soumettreRecherche;
        
    var xmlHotes=new parent.XMLObjectSauvegarde();
    xmlHotes.sauvegardeDOM(parent.getElements(xmlPage.xmlDoc,"LISTE_HOTES")[0]);
	champHote = creeElementFormSelect("hote",
                   		  { libelle:"Hote",
                   			xmlData:xmlHotes,
   	               			size:"1", width:"300px",
   		           			obligatoire:false });
	composantRecherche.addElement(champHote);
	
	composantRecherche.ecrireBind();
}

function soumettreRecherche()
{
    var hote = champHote.getValue();
    var xmlInfosTableau = new parent.XMLObjectSauvegarde();
    xmlInfosTableau.sauvegardeDOM(parent.getElements(xmlPage.xmlDoc,"TABLEAU")[0]);
    
  	creeTableau(xmlInfosTableau, urlXmlListe+"?HOTE="+hote);
}


function attributsChampEdition(j)
{
	var codeHTML = '';
	// taille du champ
   	var size = ((j==0) ? '30' : '150');
    codeHTML += 'size="' + size + '" ';
    codeHTML += 'maxlength="' + size + '"';
    return codeHTML;
}

function completeEtVerifieParams(action,params)
{
	// pas de contr???le de surface
	params.HOTE = champHote.getValue();
	return params;
}

function retourActionServeur()
{
	soumettreRecherche();
}

