function cree_img(id,titre,normal,over)
{
    var attr = {
        src:normal,
        onmouseover: id + 'MouseOver()',
        onmouseout: id + 'MouseOut()',
        title:titre,
        alt:titre
    };
    var txt = '<img id="'+id+'"';
    for (var a in attr)
        txt += ' '+a+'="'+attr[a]+'"';
    txt += ' style="border:0"/>';
    document.getElementById('Position_'+id).innerHTML = txt;

    function creeChangeSrc(id,nomEvt,src)
    {
        txt = id+nomEvt+'=function() { ';
        txt += 'var img = document.getElementById("'+id+'");';
        txt += 'img.src="'+src+'"; }';
        eval(txt);
    }

    creeChangeSrc(id,'MouseOver',over);
    creeChangeSrc(id,'MouseOut',normal);
}

var HAUTEUR_BANDEAU_OUTIL = 40;

var urlExecution = "@PROJET_REPERTOIRE_INSTALL@/flux/protected/execution/execute.do";
var urlToggleItem = "@PROJET_REPERTOIRE_INSTALL@/flux/protected/execution/drill.do";

var pileExecution = [];
var indexPileExecution = 0;
var attentePileExecution = false;

var executionID = null;

function initialiseEcranNavigation()
{
    ajusteTailleIframe();
    cree_img('imgPrecedent',
        'Rapport pr?c?dent',
        '@PROJET_REPERTOIRE_INSTALL@/FrameworkERGO/images/bouton/table/IcoPrecedent.gif',
        '@PROJET_REPERTOIRE_INSTALL@/FrameworkERGO/images/bouton/table/IcoPrecedentover.gif');

    cree_img('imgSuivant',
        'Rapport suivant',
        '@PROJET_REPERTOIRE_INSTALL@/FrameworkERGO/images/bouton/table/IcoSuivant.gif',
        '@PROJET_REPERTOIRE_INSTALL@/FrameworkERGO/images/bouton/table/IcoSuivantover.gif');

    cree_img('imgPdf',
        'Version PDF',
        '@PROJET_REPERTOIRE_INSTALL@/FrameworkERGO/images/bouton/gestion/IcoExportPdf.gif',
        '@PROJET_REPERTOIRE_INSTALL@/FrameworkERGO/images/bouton/gestion/IcoExportPdfover.gif');

    cree_img('imgXls',
        'Version Excel',
        '@PROJET_REPERTOIRE_INSTALL@/FrameworkERGO/images/bouton/table/IcoExportExcel.gif',
        '@PROJET_REPERTOIRE_INSTALL@/FrameworkERGO/images/bouton/table/IcoExportExcelover.gif');

    cree_img('imgParametres',
        'Param?tres du rapport',
        '@PROJET_REPERTOIRE_INSTALL@/FrameworkERGO/images/bouton/navig/BoutAideInterog.gif',
        '@PROJET_REPERTOIRE_INSTALL@/FrameworkERGO/images/bouton/navig/BoutAideInterogover.gif');
}

function ajusteTailleIframe()
{
    var height = document.body.clientHeight - HAUTEUR_BANDEAU_OUTIL;
    document.getElementById("iframe").style.height=height+"px";
}

function chargeRapport(rapport,params)
{
    if (attentePileExecution)
    {
        attentePileExecution = false;
        // on efface l'historique "suivant"
        pileExecution = pileExecution.slice(0,indexPileExecution);
        pileExecution.push(executionID);
        indexPileExecution++;
    }

    url = urlExecution;
    url += '?HOTE=' + hote;
    url += '&FORMAT=HTML';
    url += '&RAPPORT='+rapport;

    for (var a in params)
        url += '&' + a + '=' + escape(params[a]);

    ajusteTailleIframe();
    document.getElementById("iframe").src = url;
    attentePileExecution = true;
}

function executeRapport(params,format,popup)
{
	SetCookie('GRaM_executionID',executionID,null,'@PROJET_REPERTOIRE_INSTALL@');

    url = urlExecution;
    url += '?HOTE=' + hote;
    url += '&FORMAT=' + format;
    url += '&EXECUTION_ID='+executionID;

    for (var a in params)
        url += '&' + a + '=' + escape(params[a]);

    if (popup=="popup")
        OpenWindow(url,"Rapport","");
    else {
        ajusteTailleIframe();
    	document.getElementById("iframe").src = url;
    }
}


function toggleItem(toggleID)
{
    url = urlToggleItem;
    url += '?HOTE=' + hote;
    url += '&FORMAT=HTML';
    url += '&EXECUTION_ID='+executionID;
    url += '&TOGGLE_ID='+toggleID;
    
    ajusteTailleIframe();
	document.getElementById("iframe").src = url;
}

function versionPdf()
{
	executionID = GetCookie("GRaM_executionID");
    executeRapport("","PDF","popup");
}

function versionExcel()
{
	executionID = GetCookie("GRaM_executionID");
    executeRapport("","EXCEL","popup");
}

function boutonPrecedent()
{
    if (attentePileExecution)
    {
        attentePileExecution = false;
        // on efface l'historique "suivant"
        pileExecution = pileExecution.slice(0,indexPileExecution);
        pileExecution.push(executionID);
    }

    if (indexPileExecution==0)
        return;

    var executionID = pileExecution[--indexPileExecution];
    executeRapport("HTML");
}

function boutonSuivant()
{
    if (attentePileExecution)
    {
        attentePileExecution = false;
        // on efface l'historique "suivant"
        pileExecution = pileExecution.slice(0,indexPileExecution);
        pileExecution.push(executionID);
    }

    if (indexPileExecution==pileExecution.length-1)
        return;

    var executionID = pileExecution[++indexPileExecution];
    executeRapport("HTML");
}




function pushPileExecution(executionID)
{
    var l = pileExecution.length;
    // si on est au milieu du tableau, on efface l'historique "suivant"
    if (indexPileExecution<l)
        pileExecution = pileExecution.slice(0,indexPileExecution);
    pileExecution.push(executionID);
    indexPileExecution++;
}
