var idChamp = 0;
var xmlParametres;
var htmlFormulaire;
var composantFormulaire;
var champsParametres = {};

function ouvreHtmlFormulaire()
{
    htmlFormulaire = '<table>';
}

function ajoutePositionChamp()
{
	idChamp++;
    var id = 'champ'+idChamp;
    htmlFormulaire += '<tr><td><div id="Position_libelle_'+id+'">&nbsp</div></td>';
    htmlFormulaire += '<td><div id="Position_'+id+'">&nbsp</div></td></tr>';
    return id;
}

function ajouteEspace()
{
    htmlFormulaire += '<tr><td><img src="/GRaM-test/FrameworkERGO/images/bouton/divers/spacer.gif" style="height:5px">&nbsp</div></td></tr>';
}

function fermeHtmlFormulaire()
{
    htmlFormulaire += '</table>';
}

function ouvreFormulaire()
{
    ouvreHtmlFormulaire();
    composantFormulaire = new ComposantForm("composantFormulaire", "", "POST", 3, false);
}

function ajouteChampSelect(nomParam, xmlData)
{
    var id = ajoutePositionChamp();
    var element = creeElementFormSelectMaster( id, { xmlData:xmlData, width:"300px" } );
    
    var elementParam = element;
    var tabOptions = parent.getChildElements(xmlData.xmlDoc.firstChild,"OPTIONS");
    if (tabOptions.length>0)
    {
	    var tabOption = parent.getChildElements(tabOptions[0],"OPTION");
	    if (tabOption.length>0)
	    {
		    var tabSlave = parent.getChildElements(tabOption[0],"SLAVE");
		    if (tabSlave.length>0)
		    {
			    var xmlSlave = new parent.XMLObjectSauvegarde();
			    xmlSlave.sauvegardeDOM(tabSlave[0]);
			    var slaveElement = ajouteChampSelect(nomParam, xmlSlave);
			    element.addEsclave(slaveElement);

                // on n'ajoute pas le champ pour le param?tre : c'est d?j? fait
                return element;
		    }
	    }
    }

    // on ajoute le champ pour le param?tre
    champsParametres[nomParam] = elementParam;
    return element;
}

function fermeFormulaire()
{
    fermeHtmlFormulaire();
    var boutonValider = new ElementFormButton("boutonValider",
                                              "javascript:valideParametres()",
                                              "64px","18px",
                                              bouton_valider_src,
                                              bouton_validerover_src,
                                              bouton_validerdisabled_src,
                                              STATUT_ENABLED);
    composantFormulaire.addElement(boutonValider);
 
    var boutonRetour = new ElementFormButton("boutonRetour",
                                             'javascript:afficheRapport()',
                                             "64px","18px",
                                             bouton_annuler_src,
                                             bouton_annulerover_src,
                                             bouton_annulerdisabled_src,
                                             STATUT_ENABLED);
    composantFormulaire.addElement(boutonRetour);
}

function initialiseFormulaire()
{
	var url = "/GRaM-test/flux/protected/execution/getParametres.xml";
	var callback = "window.frames['CONTENU_WIN'].construireFormulaire";
	xmlParametres = new parent.XMLObject(null,null,callback,url,false);
	xmlParametres.initRequestParams("GET",{HOTE:hote, RAPPORT:rapport});
	xmlParametres.importXML();
}

function construireFormulaire()
{
	if (xmlParametres.parseErrorXML() != 0)
		return;

    ouvreFormulaire();

	var execution = parent.getElements(xmlParametres.xmlDoc,"EXECUTION")[0];
    executionID = parent.getDataElement(execution,"ID");
    var parametres = parent.getElements(execution,"PARAMETRE");

    for (var i=0; i<parametres.length; i++)
    {
    	var parametre = parametres[i];

    	var nomParam = parent.getDataElement(parametre,"NOM");
	    var xmlData = new parent.XMLObjectSauvegarde();
	    xmlData.sauvegardeDOM(parametre);
	    var element = ajouteChampSelect(nomParam, xmlData);

	    composantFormulaire.addElement(element);
		ajouteEspace();
	}

    fermeFormulaire();
    
    document.getElementById('contenuFormulaire').innerHTML = htmlFormulaire;
    composantFormulaire.ecrireBind();
}

function getValeursParametres()
{
	var parametres = {};
	for (var a in champsParametres)
		parametres[a] = champsParametres[a].getValue();
	return parametres;
}