var urlPage   = '/GRaM-test/flux/protected/rapports/page.xml';
var urlListe  = '/GRaM-test/flux/protected/rapports/liste.xml';
var urlInsert = '/GRaM-test/flux/protected/rapports/insert.xml';
var urlUpdate = '/GRaM-test/flux/protected/rapports/update.xml';
var urlDelete = '/GRaM-test/flux/protected/rapports/delete.xml';

function getParamDansUrl(name)
{
	var rg=new RegExp(name+"=([^&]*)");
	var r=rg.exec(document.location.search);
	return (r?unescape(r[1]):null);
}

var hote = getParamDansUrl("HOTE");
var xmlPage;
var composantTableau;

var champChemin;
var champNom;
var champProfils;

function preparePage()
{
	xmlPage = new parent.XMLObject(null, null, "window.frames['CONTENU_WIN'].construirePage", 
								   urlPage+'?HOTE='+hote, false);
	xmlPage.importXML();
}

function construirePage()
{
    if (xmlPage.parseErrorXML() != 0)
    	return;
    	
    // alertes
    afficheDifference();

    // tableau    
    var xmlInfosTableau = new parent.XMLObjectSauvegarde();
    xmlInfosTableau.sauvegardeDOM(parent.getElements(xmlPage.xmlDoc,"TABLEAU")[0]);
	composantTableau = new ComposantTableau("composantTableau", xmlInfosTableau,
											urlListe+'?HOTE='+hote, true, false, false, true, false,"", false, true, false);
	composantTableau.ecrireBind();

	// Formulaire
    composantFormulaire = new ComposantForm("composantFormulaire", "", "POST", 3, false);
        
	champChemin  = creeElementFormSelect('chemin',
							 { libelle:'Chemin', width:'300x' });
	champNom     = creeElementFormText('nom',
							 { libelle:'Nom', maxLength:'255', size:'50' });
	champProfils = creeComposantRattachement('profils',
								   { libelle:'profils', size:"6", width:"300px" });
	composantFormulaire.addElement(champChemin);
	composantFormulaire.addElement(champNom);
	composantFormulaire.addElement(champProfils);
	
    boutonValider = new ElementFormButton("valider","javascript:validerFormulaire()","64px","18px",bouton_valider_src,bouton_validerover_src,bouton_validerdisabled_src,STATUT_ENABLED);
    boutonAnnuler = new ElementFormButton("annuler","javascript:afficheTableau()","64px","18px",bouton_annuler_src,bouton_annulerover_src,bouton_annulerdisabled_src,STATUT_ENABLED);

    composantFormulaire.addElement(boutonAnnuler);
    composantFormulaire.addElement(boutonValider);
    
    composantFormulaire.ecrireBind();
    
    chargeTableau();
}

function afficheDifference()
{
	var xmlDifference = parent.getElements(xmlPage.xmlDoc,"DIFFERENCE")[0];
	var xmlListe;
	var xmlOptions;

    var html = '<div id="difference">';

	xmlListe = parent.getElements(xmlDifference,"EN_TROP")[0];
	xmlOptions = parent.getElements(xmlListe,"OPTION");
	if (xmlOptions.length>0)
	{
        html += 'Les rapports suivants sont d?finis dans GRaM, mais pas sur le serveur :<ul>';    
    	for (var i=0; i<xmlOptions.length; i++)
    	{
    	    html += '<li>'+parent.getDataElement(xmlOptions[i],"VALUE")+' : ';
    	    html += parent.getDataElement(xmlOptions[i],"LIBELLE")+'</li>';
    	}
        html += '</ul>';    
    }

	html += '</div>';
	
	document.getElementById("Position_difference").innerHTML = html;
}

function chargeTableau()
{
	afficheTableau();
	composantTableau.importData();
}

function afficheTableau()
{
	document.getElementById('Position_composantTableau').style.display = '';
	document.getElementById('composantFormulaire').style.display = 'none';
}

function afficheFormulaire()
{
	document.getElementById('Position_composantTableau').style.display = 'none';
	document.getElementById('composantFormulaire').style.display = '';
}

var urlValider;

function remplitFormulaire(nom,profils) 
{
	champNom   .setValue(nom);
	
	var tabOption = [];
	var xmlListeProfils = parent.getElements(xmlPage.xmlDoc,"LISTE_PROFILS")[0];
	var xmlProfils = parent.getElements(xmlListeProfils,"PROFIL");
	for (var i=0; i<xmlProfils.length; i++)
	{
	    var code = parent.getDataElement(xmlProfils[i],"CODE");
	    var nom  = parent.getDataElement(xmlProfils[i],"NOM");
	    var selected = false;
	    for (var j=0; j<profils.length; j++)
	        if (code==profils[j])
	        {
	            selected = true;
	            break;
	        }
	    tabOption.push(new ObjectOption(nom,code,selected));
	}
    champProfils.setTabOption(tabOption);
    /////////////////
        champProfils.select1.tabOption=champProfils.tabOptionNoSelected;
        champProfils.select2.tabOption=champProfils.tabOptionSelected;
    /////////////////
    champProfils.ecrireBind();
}

function recupereValeursDansFormulaire()
{
	var params = {};
	params.HOTE   = hote;
	params.CHEMIN = champChemin.getValue();
	params.NOM    = champNom.getValue();
	
	if (params.CHEMIN=='')
	{
	    alert('Le chemin est obligatoire')
		return false;
	}
		
	function listeDeValeurs(tabOption) {
		var txt = '';
		for (var i=0; i<tabOption.length; i++)
		{
			if (tabOption[i].selected)
			{
				if (txt!='')
					txt += ','
				txt += tabOption[i].value;
			}
		}
		return txt;
	}
	// liste des profils
	params.PROFILS = listeDeValeurs(champProfils.getTabOption());
		
	return params;
}



function executeInsert()
{
	urlValider = urlInsert;
    remplitFormulaire('',[]); 

	var xmlDifference = parent.getElements(xmlPage.xmlDoc,"DIFFERENCE")[0];
	var xmlListe = parent.getElements(xmlDifference,"MANQUANTS")[0];
	var xmlOptions = parent.getElements(xmlListe,"OPTION");
    var tabOption = [];
   	for (var i=0; i<xmlOptions.length; i++)
   	{
   	    var value = parent.getDataElement(xmlOptions[i],"VALUE");
        tabOption.push(new ObjectOption(value,value,false));
    }
	champChemin.setTabOption(tabOption);
	champChemin.ecrireBind();

	champChemin.setStatut(STATUT_ENABLED);
	afficheFormulaire();
}

function executeUpdate()
{
	urlValider = urlUpdate;

	var i = composantTableau.itemLigneAction;
	var ligne = parent.getElements(composantTableau.XMLData.xmlDoc,
                                   composantTableau.donneeLigne)[i];
                                   
	var chemin = parent.getDataElement(ligne,'CHEMIN');
	var nom    = parent.getDataElement(ligne,'NOM');
    var profils = [];
	var xmlListeProfils = parent.getElements(ligne,"LISTE_PROFILS")[0];
	var xmlProfils = parent.getElements(xmlListeProfils,"PROFIL");
	for (var i=0; i<xmlProfils.length; i++)
	    profils.push(parent.getDataElement(xmlProfils[i],"CODE"));

    remplitFormulaire(nom,profils);
    
    var tabOption = [new ObjectOption(chemin,chemin,true)];
	champChemin.setTabOption(tabOption);
	champChemin.ecrireBind();
	champChemin.setStatut(STATUT_DISABLED);
    
	afficheFormulaire();
}

function validerFormulaire()
{
	var params = recupereValeursDansFormulaire();
	if (params==false)
		return;

	executeActionServeur(urlValider,params,preparePage);
}

function executeDelete(ligne)
{
    var i = composantTableau.itemLigneAction;
    var ligne = parent.getElements(composantTableau.XMLData.xmlDoc,
                                   composantTableau.donneeLigne)[i];

	// pas de valeurs saisies
	var params = {};
	params.HOTE = hote;
	params.CHEMIN = parent.getDataElement(ligne,"CHEMIN");
	
	return executeActionServeur(urlDelete,params,preparePage);
}