'-------------------------------------------------
' Script run_esc.vbs
' auteur : PSI/OM TR version 1.0
' date : 29/03/06
'-------------------------------------------------
Dim fso
Dim args,system32
Dim localdir
set fso = CreateObject("Scripting.FileSystemObject") 
set osh = CreateObject("WScript.Shell")

main

sub main
	Dim initFolder
	if wscript.Arguments.length>0 then
		system32 = osh.ExpandEnvironmentStrings("%WINDIR%") & "\system32\"
	
		mename = WScript.ScriptFullName 
		localdir = left(mename,InstrRev(mename,"\")) 
    		
		for i=0 to wscript.arguments.length -2
			args = args & " " & wscript.arguments(i)
		next

    		initFolder=wscript.Arguments(wscript.Arguments.length -1)
		folderlist(initFolder) 
		clean
	else
    		clean
    		wscript.quit(64)
	end if
end sub

sub folderlist(folderspec)  
	On Error Resume Next
	dim f,f1,sf
	set f = fso.GetFolder(folderspec)  
	set sf = f.SubFolders
	procFiles folderspec
	
	for each f1 in sf
	    folderlist f1
	next  
end sub

sub procFiles(folderspec)  
	On Error Resume Next
	dim f,f1,fc,ext
	set f = fso.GetFolder(folderspec)
	set fc = f.Files
	for each f1 in fc
	  	ext=fso.GetExtensionName(f1.path)
		ext=lcase(ext)
		s=lcase(f1.name)

		if (ext="js") then
			ExecuteESC(f1.path)
		end if
	next
end sub

function ExecuteESC(filepath)
	ExecuteESC=-1
	On Error Resume Next
		
	ExecuteESC=osh.Run(system32 & "cscript.exe " & localdir & "esc.wsf "  & args & " " & filepath & " " & filepath ,0,true)
	
	if ExecuteESC=0 then
	    wscript.echo("successful process of " & filepath)
	else
        wscript.echo("failed process of " & filepath)
	    clean
	    wscript.Quit
	end if
	
	if err.Number>0 then
	    wscript.echo("error while processing file " & filepath)
	    clean
	    wscript.Quit
	end if
end function


sub clean
	set osh = Nothing
	set fso = Nothing
end sub
