package acube.gram.exception;

/**
 * Codes d'erreur GRaM
 * @author MAE
 *
 */
public class GramErrorCodes {

	public static final String UNKNOWN_ERROR           = "ERR-GRAM-0000";
	public static final String SERVICE_ERROR           = "ERR-GRAM-0002";
	public static final String AUTHORIZATION_ERROR     = "ERR-GRAM-0003";
	public static final String UNIMPLEMENTED_OPERATION = "ERR-GRAM-0004";
	public static final String CONFIGURATION_ERROR     = "ERR-GRAM-0005";

	public static final String INVALID_EXECUTIONID     = "ERR-GRAM-0010";
	public static final String INVALID_FORMAT          = "ERR-GRAM-0011";	
	public static final String FORMAT_NOT_SUPPORTED    = "ERR-GRAM-0012";
	public static final String INVALID_REPORT          = "ERR-GRAM-0013";
	public static final String MISSING_PARAMETER       = "ERR-GRAM-0014";
	public static final String INVALID_ITEM            = "ERR-GRAM-0015";
	public static final String MISSING_COOKIE          = "ERR-GRAM-0016";
	public static final String INVALID_PARAMETER       = "ERR-GRAM-0017";
	
	public static final String INVALID_FILETYPE        = "ERR-GRAM-0021";
	public static final String INVALID_DATASOURCE      = "ERR-GRAM-0022";
}
