package acube.gram.frontend.handlers;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpSession;

import acube.gram.constant.AttributeKeys;
import acube.gram.frontend.ResourceHandler;
import acube.gram.util.SimpleCache;
import acube.gram.util.UrlWithParameters;
import acube.gram.vo.FileVO;

public class ResourceHandlerImpl implements ResourceHandler {
	
	private String togglePlus;
	private String toggleMinus;
	private String getResource;
	
	public void setGetResource(String getResource) {
		this.getResource = getResource;
	}

	public void setToggleMinus(String toggleMinus) {
		this.toggleMinus = toggleMinus;
	}

	public void setTogglePlus(String togglePlus) {
		this.togglePlus = togglePlus;
	}

	public String handleToggleMinus() {
		return toggleMinus;
	}
	
	public String handleTogglePlus() {
		return togglePlus;
	}
	
	public String handleResource(HttpSession session, FileVO vo) {

		String id = SimpleCache.add(session, AttributeKeys.RESOURCE_CACHE, vo);
		Map<String,String> params = new HashMap<String,String>();
		params.put("ID",id);
		return UrlWithParameters.replaceParameters(getResource,params);
	}
}
