package acube.gram.util;

import java.util.Iterator;
import java.util.Map;
import java.util.regex.Pattern;

/**
 * Gestion des url relatives  la racine, avec des paramtres
 * @author MAE
 *
 */
public class UrlWithParameters {
	
	public static String replaceParameters(String url, Map<String, String> params) {
				
		String result = url;
		
		// on remplace les variables par leurs valeurs
		Iterator<Map.Entry<String,String>> i = params.entrySet().iterator();
		while (i.hasNext()) {
			Map.Entry<String,String> entry = i.next();
			String regexp = "\\$\\("+Pattern.quote(entry.getKey())+"\\)";
			result = result.replaceAll(regexp, entry.getValue());
		}
		return result;
	}
}
