package com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices;

public class ReportingService2005SoapProxy implements com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ReportingService2005Soap {
  private String _endpoint = null;
  private com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ReportingService2005Soap reportingService2005Soap = null;
  
  public ReportingService2005SoapProxy() {
    _initReportingService2005SoapProxy();
  }
  
  private void _initReportingService2005SoapProxy() {
    try {
      reportingService2005Soap = (new com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ReportingService2005Locator()).getReportingService2005Soap();
      if (reportingService2005Soap != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)reportingService2005Soap)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)reportingService2005Soap)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (reportingService2005Soap != null)
      ((javax.xml.rpc.Stub)reportingService2005Soap)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ReportingService2005Soap getReportingService2005Soap() {
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap;
  }
  
  public java.lang.String[] listSecureMethods() throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listSecureMethods();
  }
  
  public java.lang.String createBatch() throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.createBatch();
  }
  
  public void cancelBatch() throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.cancelBatch();
  }
  
  public void executeBatch() throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.executeBatch();
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] getSystemProperties(com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] properties) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getSystemProperties(properties);
  }
  
  public void setSystemProperties(com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] properties) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setSystemProperties(properties);
  }
  
  public void deleteItem(java.lang.String item) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.deleteItem(item);
  }
  
  public void moveItem(java.lang.String item, java.lang.String target) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.moveItem(item, target);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.CatalogItem[] listChildren(java.lang.String item, boolean recursive) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listChildren(item, recursive);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.CatalogItem[] listDependentItems(java.lang.String item) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listDependentItems(item);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] getProperties(java.lang.String item, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] properties) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getProperties(item, properties);
  }
  
  public void setProperties(java.lang.String item, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] properties) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setProperties(item, properties);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ItemTypeEnum getItemType(java.lang.String item) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getItemType(item);
  }
  
  public void createFolder(java.lang.String folder, java.lang.String parent, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] properties) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.createFolder(folder, parent, properties);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Warning[] createReport(java.lang.String report, java.lang.String parent, boolean overwrite, byte[] definition, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] properties) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.createReport(report, parent, overwrite, definition, properties);
  }
  
  public byte[] getReportDefinition(java.lang.String report) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getReportDefinition(report);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Warning[] setReportDefinition(java.lang.String report, byte[] definition) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.setReportDefinition(report, definition);
  }
  
  public void createResource(java.lang.String resource, java.lang.String parent, boolean overwrite, byte[] contents, java.lang.String mimeType, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] properties) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.createResource(resource, parent, overwrite, contents, mimeType, properties);
  }
  
  public void setResourceContents(java.lang.String resource, byte[] contents, java.lang.String mimeType) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setResourceContents(resource, contents, mimeType);
  }
  
  public void getResourceContents(java.lang.String resource, javax.xml.rpc.holders.ByteArrayHolder contents, javax.xml.rpc.holders.StringHolder mimeType) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.getResourceContents(resource, contents, mimeType);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ReportParameter[] getReportParameters(java.lang.String report, java.lang.String historyID, boolean forRendering, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ParameterValue[] values, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.DataSourceCredentials[] credentials) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getReportParameters(report, historyID, forRendering, values, credentials);
  }
  
  public void setReportParameters(java.lang.String report, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ReportParameter[] parameters) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setReportParameters(report, parameters);
  }
  
  public void createLinkedReport(java.lang.String report, java.lang.String parent, java.lang.String link, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] properties) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.createLinkedReport(report, parent, link, properties);
  }
  
  public java.lang.String getReportLink(java.lang.String report) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getReportLink(report);
  }
  
  public void setReportLink(java.lang.String report, java.lang.String link) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setReportLink(report, link);
  }
  
  public void getRenderResource(java.lang.String format, java.lang.String deviceInfo, javax.xml.rpc.holders.ByteArrayHolder result, javax.xml.rpc.holders.StringHolder mimeType) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.getRenderResource(format, deviceInfo, result, mimeType);
  }
  
  public void setExecutionOptions(java.lang.String report, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ExecutionSettingEnum executionSetting, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ScheduleDefinition scheduleDefinition, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.NoSchedule noSchedule, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ScheduleReference scheduleReference) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setExecutionOptions(report, executionSetting, scheduleDefinition, noSchedule, scheduleReference);
  }
  
  public void getExecutionOptions(java.lang.String report, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ExecutionSettingEnumHolder executionSetting, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.NoScheduleHolder noSchedule, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ScheduleReferenceHolder scheduleReference, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ScheduleDefinitionHolder scheduleDefinition) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.getExecutionOptions(report, executionSetting, noSchedule, scheduleReference, scheduleDefinition);
  }
  
  public void setCacheOptions(java.lang.String report, boolean cacheReport, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ScheduleExpiration scheduleExpiration, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.TimeExpiration timeExpiration) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setCacheOptions(report, cacheReport, scheduleExpiration, timeExpiration);
  }
  
  public void getCacheOptions(java.lang.String report, javax.xml.rpc.holders.BooleanHolder cacheReport, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ScheduleExpirationHolder scheduleExpiration, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.TimeExpirationHolder timeExpiration) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.getCacheOptions(report, cacheReport, scheduleExpiration, timeExpiration);
  }
  
  public void updateReportExecutionSnapshot(java.lang.String report) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.updateReportExecutionSnapshot(report);
  }
  
  public void flushCache(java.lang.String report) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.flushCache(report);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Job[] listJobs() throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listJobs();
  }
  
  public boolean cancelJob(java.lang.String jobID) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.cancelJob(jobID);
  }
  
  public void createDataSource(java.lang.String dataSource, java.lang.String parent, boolean overwrite, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.DataSourceDefinition definition, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] properties) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.createDataSource(dataSource, parent, overwrite, definition, properties);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.DataSourceDefinition getDataSourceContents(java.lang.String dataSource) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getDataSourceContents(dataSource);
  }
  
  public void setDataSourceContents(java.lang.String dataSource, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.DataSourceDefinition definition) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setDataSourceContents(dataSource, definition);
  }
  
  public void enableDataSource(java.lang.String dataSource) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.enableDataSource(dataSource);
  }
  
  public void disableDataSource(java.lang.String dataSource) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.disableDataSource(dataSource);
  }
  
  public void setItemDataSources(java.lang.String item, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.DataSource[] dataSources) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setItemDataSources(item, dataSources);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.DataSource[] getItemDataSources(java.lang.String item) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getItemDataSources(item);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.DataSourcePrompt[] getItemDataSourcePrompts(java.lang.String item) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getItemDataSourcePrompts(item);
  }
  
  public void createReportHistorySnapshot(java.lang.String report, javax.xml.rpc.holders.StringHolder historyID, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ArrayOfWarningHolder warnings) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.createReportHistorySnapshot(report, historyID, warnings);
  }
  
  public void setReportHistoryOptions(java.lang.String report, boolean enableManualSnapshotCreation, boolean keepExecutionSnapshots, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.NoSchedule noSchedule, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ScheduleReference scheduleReference, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ScheduleDefinition scheduleDefinition) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setReportHistoryOptions(report, enableManualSnapshotCreation, keepExecutionSnapshots, noSchedule, scheduleReference, scheduleDefinition);
  }
  
  public void getReportHistoryOptions(java.lang.String report, javax.xml.rpc.holders.BooleanHolder enableManualSnapshotCreation, javax.xml.rpc.holders.BooleanHolder keepExecutionSnapshots, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.NoScheduleHolder noSchedule, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ScheduleReferenceHolder scheduleReference, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ScheduleDefinitionHolder scheduleDefinition) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.getReportHistoryOptions(report, enableManualSnapshotCreation, keepExecutionSnapshots, noSchedule, scheduleReference, scheduleDefinition);
  }
  
  public void setReportHistoryLimit(java.lang.String report, boolean useSystem, int historyLimit) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setReportHistoryLimit(report, useSystem, historyLimit);
  }
  
  public void getReportHistoryLimit(java.lang.String report, javax.xml.rpc.holders.IntHolder historyLimit, javax.xml.rpc.holders.BooleanHolder isSystem, javax.xml.rpc.holders.IntHolder systemLimit) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.getReportHistoryLimit(report, historyLimit, isSystem, systemLimit);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ReportHistorySnapshot[] listReportHistory(java.lang.String report) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listReportHistory(report);
  }
  
  public void deleteReportHistorySnapshot(java.lang.String report, java.lang.String historyID) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.deleteReportHistorySnapshot(report, historyID);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.CatalogItem[] findItems(java.lang.String folder, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.BooleanOperatorEnum booleanOperator, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.SearchCondition[] conditions) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.findItems(folder, booleanOperator, conditions);
  }
  
  public java.lang.String createSchedule(java.lang.String name, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ScheduleDefinition scheduleDefinition) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.createSchedule(name, scheduleDefinition);
  }
  
  public void deleteSchedule(java.lang.String scheduleID) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.deleteSchedule(scheduleID);
  }
  
  public void setScheduleProperties(java.lang.String name, java.lang.String scheduleID, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ScheduleDefinition scheduleDefinition) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setScheduleProperties(name, scheduleID, scheduleDefinition);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Schedule getScheduleProperties(java.lang.String scheduleID) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getScheduleProperties(scheduleID);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.CatalogItem[] listScheduledReports(java.lang.String scheduleID) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listScheduledReports(scheduleID);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Schedule[] listSchedules() throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listSchedules();
  }
  
  public void pauseSchedule(java.lang.String scheduleID) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.pauseSchedule(scheduleID);
  }
  
  public void resumeSchedule(java.lang.String scheduleID) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.resumeSchedule(scheduleID);
  }
  
  public java.lang.String createSubscription(java.lang.String report, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ExtensionSettings extensionSettings, java.lang.String description, java.lang.String eventType, java.lang.String matchData, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ParameterValue[] parameters) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.createSubscription(report, extensionSettings, description, eventType, matchData, parameters);
  }
  
  public java.lang.String createDataDrivenSubscription(java.lang.String report, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ExtensionSettings extensionSettings, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.DataRetrievalPlan dataRetrievalPlan, java.lang.String description, java.lang.String eventType, java.lang.String matchData, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ParameterValueOrFieldReference[] parameters) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.createDataDrivenSubscription(report, extensionSettings, dataRetrievalPlan, description, eventType, matchData, parameters);
  }
  
  public void setSubscriptionProperties(java.lang.String subscriptionID, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ExtensionSettings extensionSettings, java.lang.String description, java.lang.String eventType, java.lang.String matchData, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ParameterValue[] parameters) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setSubscriptionProperties(subscriptionID, extensionSettings, description, eventType, matchData, parameters);
  }
  
  public void setDataDrivenSubscriptionProperties(java.lang.String dataDrivenSubscriptionID, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ExtensionSettings extensionSettings, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.DataRetrievalPlan dataRetrievalPlan, java.lang.String description, java.lang.String eventType, java.lang.String matchData, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ParameterValueOrFieldReference[] parameters) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setDataDrivenSubscriptionProperties(dataDrivenSubscriptionID, extensionSettings, dataRetrievalPlan, description, eventType, matchData, parameters);
  }
  
  public void getSubscriptionProperties(java.lang.String subscriptionID, javax.xml.rpc.holders.StringHolder owner, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ExtensionSettingsHolder extensionSettings, javax.xml.rpc.holders.StringHolder description, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ActiveStateHolder active, javax.xml.rpc.holders.StringHolder status, javax.xml.rpc.holders.StringHolder eventType, javax.xml.rpc.holders.StringHolder matchData, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ArrayOfParameterValueHolder parameters) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.getSubscriptionProperties(subscriptionID, owner, extensionSettings, description, active, status, eventType, matchData, parameters);
  }
  
  public void getDataDrivenSubscriptionProperties(java.lang.String dataDrivenSubscriptionID, javax.xml.rpc.holders.StringHolder owner, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ExtensionSettingsHolder extensionSettings, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.DataRetrievalPlanHolder dataRetrievalPlan, javax.xml.rpc.holders.StringHolder description, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ActiveStateHolder active, javax.xml.rpc.holders.StringHolder status, javax.xml.rpc.holders.StringHolder eventType, javax.xml.rpc.holders.StringHolder matchData, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ArrayOfParamValueOrFieldRefHolder parameters) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.getDataDrivenSubscriptionProperties(dataDrivenSubscriptionID, owner, extensionSettings, dataRetrievalPlan, description, active, status, eventType, matchData, parameters);
  }
  
  public void deleteSubscription(java.lang.String subscriptionID) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.deleteSubscription(subscriptionID);
  }
  
  public void prepareQuery(com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.DataSource dataSource, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.DataSetDefinition dataSet, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.DataSetDefinitionHolder dataSettings, javax.xml.rpc.holders.BooleanHolder changed, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ArrayOfStringHolder parameterNames) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.prepareQuery(dataSource, dataSet, dataSettings, changed, parameterNames);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ExtensionParameter[] getExtensionSettings(java.lang.String extension) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getExtensionSettings(extension);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ExtensionParameter[] validateExtensionSettings(java.lang.String extension, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ParameterValueOrFieldReference[] parameterValues) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.validateExtensionSettings(extension, parameterValues);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Subscription[] listSubscriptions(java.lang.String report, java.lang.String owner) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listSubscriptions(report, owner);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Subscription[] listSubscriptionsUsingDataSource(java.lang.String dataSource) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listSubscriptionsUsingDataSource(dataSource);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Extension[] listExtensions(com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ExtensionTypeEnum extensionType) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listExtensions(extensionType);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Event[] listEvents() throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listEvents();
  }
  
  public void fireEvent(java.lang.String eventType, java.lang.String eventData) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.fireEvent(eventType, eventData);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Task[] listTasks(com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.SecurityScopeEnum securityScope) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listTasks(securityScope);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Role[] listRoles(com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.SecurityScopeEnum securityScope) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listRoles(securityScope);
  }
  
  public void createRole(java.lang.String name, java.lang.String description, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Task[] tasks) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.createRole(name, description, tasks);
  }
  
  public void deleteRole(java.lang.String name) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.deleteRole(name);
  }
  
  public void getRoleProperties(java.lang.String name, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ArrayOfTaskHolder tasks, javax.xml.rpc.holders.StringHolder description) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.getRoleProperties(name, tasks, description);
  }
  
  public void setRoleProperties(java.lang.String name, java.lang.String description, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Task[] tasks) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setRoleProperties(name, description, tasks);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Policy[] getSystemPolicies() throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getSystemPolicies();
  }
  
  public void setSystemPolicies(com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Policy[] policies) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setSystemPolicies(policies);
  }
  
  public void getPolicies(java.lang.String item, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ArrayOfPolicyHolder policies, javax.xml.rpc.holders.BooleanHolder inheritParent) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.getPolicies(item, policies, inheritParent);
  }
  
  public void setPolicies(java.lang.String item, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Policy[] policies) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setPolicies(item, policies);
  }
  
  public void inheritParentSecurity(java.lang.String item) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.inheritParentSecurity(item);
  }
  
  public java.lang.String[] getSystemPermissions() throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getSystemPermissions();
  }
  
  public java.lang.String[] getPermissions(java.lang.String item) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getPermissions(item);
  }
  
  public void logonUser(java.lang.String userName, java.lang.String password, java.lang.String authority) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.logonUser(userName, password, authority);
  }
  
  public void logoff() throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.logoff();
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Warning[] createModel(java.lang.String model, java.lang.String parent, byte[] definition, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] properties) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.createModel(model, parent, definition, properties);
  }
  
  public byte[] getModelDefinition(java.lang.String model) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getModelDefinition(model);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Warning[] setModelDefinition(java.lang.String model, byte[] definition) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.setModelDefinition(model, definition);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ModelCatalogItem[] listModelPerspectives(java.lang.String model) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listModelPerspectives(model);
  }
  
  public byte[] getUserModel(java.lang.String model, java.lang.String perspective) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getUserModel(model, perspective);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ModelItem[] listModelItemChildren(java.lang.String model, java.lang.String modelItemID, boolean recursive) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listModelItemChildren(model, modelItemID, recursive);
  }
  
  public java.lang.String[] getModelItemPermissions(java.lang.String model, java.lang.String modelItemID) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.getModelItemPermissions(model, modelItemID);
  }
  
  public void getModelItemPolicies(java.lang.String model, java.lang.String modelItemID, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.holders.ArrayOfPolicyHolder policies, javax.xml.rpc.holders.BooleanHolder inheritParent) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.getModelItemPolicies(model, modelItemID, policies, inheritParent);
  }
  
  public void setModelItemPolicies(java.lang.String model, java.lang.String modelItemID, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Policy[] policies) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setModelItemPolicies(model, modelItemID, policies);
  }
  
  public void inheritModelItemParentSecurity(java.lang.String model, java.lang.String modelItemID) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.inheritModelItemParentSecurity(model, modelItemID);
  }
  
  public void removeAllModelItemPolicies(java.lang.String model) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.removeAllModelItemPolicies(model);
  }
  
  public void setModelDrillthroughReports(java.lang.String model, java.lang.String modelItemID, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ModelDrillthroughReport[] reports) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    reportingService2005Soap.setModelDrillthroughReports(model, modelItemID, reports);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.ModelDrillthroughReport[] listModelDrillthroughReports(java.lang.String model, java.lang.String modelItemID) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.listModelDrillthroughReports(model, modelItemID);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Warning[] generateModel(java.lang.String dataSource, java.lang.String model, java.lang.String parent, com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Property[] properties) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.generateModel(dataSource, model, parent, properties);
  }
  
  public com.microsoft.schemas.sqlserver._2005._06._30.reporting.reportingservices.Warning[] regenerateModel(java.lang.String model) throws java.rmi.RemoteException{
    if (reportingService2005Soap == null)
      _initReportingService2005SoapProxy();
    return reportingService2005Soap.regenerateModel(model);
  }
  
  
}