// chemin des images utiliser pour creer les boutons valider et annuler
var ico_validerover_src='/GRaM-test/FrameworkERGO/images/bouton/table/IcoValiderover.gif';
var ico_valider_src='/GRaM-test/FrameworkERGO/images/bouton/table/IcoValider.gif';

var ico_annulerover_src='/GRaM-test/FrameworkERGO/images/bouton/table/IcoAnnulerover.gif';
var ico_annuler_src='/GRaM-test/FrameworkERGO/images/bouton/table/IcoAnnuler.gif';

var ico_fermerover_src='/GRaM-test/FrameworkERGO/images/bouton/navig/BoutFermerover.gif';
var ico_fermer_src='/GRaM-test/FrameworkERGO/images/bouton/navig/BoutFermer.gif';

// xml retour de l'action appele
var xmlAction = null;

/** URL **/
var urlHtmlMAJMotDePasse = "@URL_HTML_HtmlAuthentificationMAJMotDePasse@";
var urlXmlMAJMotDePasse = "@URL_XML_XmlAuthentificationMAJMotDePasse@";


var champAncienMDP = null;
var champNouveauMDP1 = null;
var champNouveauMDP2 = null;

/**
 * Prparation de la page
 */
function preparePage() {

	// parametre de l'url: indique si la modification s'est bien effectue
	var retourModif = null;
    // le formulaire de la page
    var composantFormulaire = null;

	// recuperation des parametres de l'url
	retourModif=getValue(document.location.search, "retourModif", "&");

	if (retourModif == "ok")
		afficherRetourOk();
	else
		creeFormulaire();
}

/*
 * retourne la valeur du paramtre "name" prsent dans la chaine "txt"
 */
function getValue(txt,name,sep)
{
	var rg = new RegExp(name+"=([^"+sep+"]*)");
	var r = rg.exec(txt);
	return (r?unescape(r[1]): null);
}

function afficherRetourOk()
{
	// la mise  jour s'est correctement droule:
	// on affiche la fenetre indiquant le succs de l'opration
	document.getElementById("page1").style.display="none";
	document.getElementById("page2").style.display="";
}

function creeFormulaire()
{
	//instanciation du composantFormulaire
	var composantFormulaire = new ComposantForm("composantFormulaire", urlHtmlMAJMotDePasse, "POST");

	/** ajout des lments du formulaire **/
	function creeChampMDP(id,libelle)
	{
		var champ = new ElementFormPass(id, null, "", "10", "15", libelle, true, STATUT_ENABLED);
		composantFormulaire.addElement(champ);  
		return champ;
	}
	
	// ancien mot de passe
	champAncienMDP = creeChampMDP("ancienMDP", "Ancien mot de passe");

	// nouveau mot de passe
	champNouveauMDP1 = creeChampMDP("nouveauMDP", "Nouveau mot de passe");

	// confirmation du nouveau mot de passe
	champNouveauMDP2 = creeChampMDP("confirmationNouveauMDP", "Confirmation");
	
	// ecriture de tous les champs du formulaire
	composantFormulaire.ecrireBind();
}

/**
 * gestion de l'vnement du bouton valider
 */
function valider(input) 
{
	// valeurs contenues dans les champs
	var ancienMDP = champAncienMDP.getValue();
	var nouveauMDP1 = champNouveauMDP1.getValue();
	var nouveauMDP2 = champNouveauMDP2.getValue();
	
	// controle de surface sur les champs
	var ret = controlerSurface(ancienMDP,nouveauMDP1,nouveauMDP2);
	
	// si les controles de surfaces sont OK, on ferme la fenetre
	if (ret)
	{
		var params = {
			ANCIEN: champAncienMDP.getValue(),
			NOUVEAU: champNouveauMDP1.getValue()
		}
	 	// Envoi au serveur (false : hors frameset)
		executeActionServeur(urlXmlMAJMotDePasse, params, redirection, false);
	}
}

/** 
 * gestion de l'vnement du bouton annuler
 */
function annuler() {
	window.close();
}

/**
 * controle de la longueur d'une chaine de caractre:
 * retourne 'true' si la chaine de caractres en paramtre possde plus de 4 caractres
 */
function chaineDePlusDe4Caracteres(chaine) {

	// variable retour
	var ret = true;

	if(chaine.length < 4)
		ret = false;
		
	return ret;
}


/** 
 * controle de surface sur les champs de ce formulaire
 */
function controlerSurface(ancienMDP,nouveauMDP1,nouveauMDP2)
{
	if (!ctrlSaisie(champAncienMDP,
					'Le champ "Ancien mot de passe" est obligatoire', 
					'L\'ancien mot de passe doit comporter au moins 4 caractres',
					'',
					false, 
					chaineDePlusDe4Caracteres,
					ancienMDP))
		return false;
		
	if (!ctrlSaisie(champNouveauMDP1,
					'Le champ "Nouveau mot de passe" est obligatoire', 
					'Le nouveau mot de passe doit comporter au moins 4 caractres',
					'',
					false, 
					chaineDePlusDe4Caracteres,
					nouveauMDP1))
		return false;
	
	// controle de correspondance entre la confirmation et le nouveau mot de passe
	if (nouveauMDP1 != nouveauMDP2)
	{
		alert("La confirmation ne correspond pas au mot de passe");
		return false;
	}
			
	// on a pass tous les tests
	return true;
}

/**
 * fonction appele au retour du flux xml de l'action s'il n'y a pas eu d'erreur
 */
function redirection() 
{
	window.document.location.href = urlHtmlMAJMotDePasse + "?retourModif=ok";
}

