/**
 * Fonctions communes pour effectuer des actions GET et POST sur le serveur :
 * création d'url et lancement des requêtes
 */

// contient la réponse du serveur
var actionXmlReponse = null;
// fonction appelée si la réponse n'est pas une erreur
var actionReponseOk = null;
// sommes-nous dans une frame ?
var frameset = "true";

/**
 * lance une requête POST sur le serveur.
 * @param url : l'url de l'action
 * @param params les paramètres de la requête
 * @param fonctionActionReponseOk : fonction à appeler si la requête n'a
 * pas soulevé de problème.
 */
function executeActionServeur(url,params,fonctionActionReponseOk,paramFrameset)
{
	// Pour le retour si tout s'est bien passé
	actionReponseOk = fonctionActionReponseOk;
	
	// fonction de retour, selon qu'on est ou pas dans le frameset
	var retour = null;
	if (paramFrameset==false)
	{
		frameset = false;
		retour = "receptionReponseServeur";
	}
	else
		retour = "window.frames['CONTENU_WIN'].receptionReponseServeur";

	// exécution de la requête
	actionXmlReponse = new parent.XMLObject(null, null, retour, url, false);
	actionXmlReponse.initRequestParams("POST",params);
    actionXmlReponse.importXML();
    return true;
}
/**
 * Retour de la requête. Verifie qu'il n'y a pas eu d'erreur, et appelle
 * la fonction de retour.
 */
function receptionReponseServeur()
{
	var type = "popup";
	if (actionXmlReponse.parseErrorXML(type) == 0)
	{
		actionReponseOk();
	}
}